Improve company productivity with a Business Account.Sign Up

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 3918
  • Last Modified:

Install .NET framework 4 through WSUS

HI,

I am trying to install .Net framework 4 to all of our domain computers. rather than doing it manually (about 65 pc's) i want to use the WSUS on our domain controller.

i cannot find the relevant update on the list of availible updates. if i try and import it manually from the Update catalogue i get an error saying

'This update cannot be imported into Windows Server Update services because it does not have the required applicability information'

I have tried googling the problem but cant find any MS Kb articles or anything else to help me.

Thanks

Michael
0
motorhog
Asked:
motorhog
1 Solution
 
Lester_ClaytonCommented:
.NET Framework 4.0 is not available through WSUS - only updates to it are.  I agree this is very stupid, considering you can install Internet Explorer 9 through WSUS, and you could also deploy .NET 1,1.1,2,3, and 3.5 through WSUS.

I'm afraid you're going to have to deploy this a different way until MS decide to make it available through WSUS.

You could use PSEXEC (Sysinternals) to deploy it to a whole bunch of machines.  Something like this:

PSEXEC @File.txt -c dotNetFx40_Full_x86_x64.exe

Where File.txt contains a list of all your servers - one server per line.
0
 
OctInvCommented:
.Net Framework 4 (dotNetFx40_Full_x86.exe @ 37060056bytes) is available through WSUS under the reference KB982671
http://support.microsoft.com/kb/982671

It's possible you cant find the update (or it is not being shown) because this update is under the classification 'Feature Packs' (enable this under SCCM).

Hope this helps.
0
 
motorhogAuthor Commented:
Hi Octinv,

i have got Feature Packs enabled already but it is not in the list. Using the KB ref i found the update in the MS Update Catalogue but it wont install due to the error mentioned above...

'This update cannot be imported into Windows Server Update services because it does not have the required applicability information'

Not sure what to do now....
0
Upgrade your Question Security!

Your question, your audience. Choose who sees your identity—and your question—with question security.

 
motorhogAuthor Commented:
also i am not using sccm i am trying to use WSUS..

Thanks
0
 
OctInvCommented:
It may be that you already have the .NET 4 framework downloaded and you have since declined it.

http://social.technet.microsoft.com/Forums/ar/winserverwsus/thread/25fcfe83-bc88-4d32-b62f-616279a7efb0

Try searching for it (using the KB number) within WSUS itself (Choose 'Updates' from the tree on the left and then choose Action > Search).
0
 
MbrincatCommented:
I agree with OctInv,

You may have declined it previously which will stop it from appearing as available, nor will it allow you to import it again.
0
 
motorhogAuthor Commented:
I had selected feature packs but had to manually update the list af availible features.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: Port Scanner

Check which ports are open to the outside world. Helps make sure that your firewall rules are working as intended.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now